package com.mcwl.communityCenter.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 社区请求参数
 */
@Data
@TableName("cc_community")
@ApiModel(value = "社区请求参数")
public class CommunityDto {

    /**
     * 社区名称
     */
    @ApiModelProperty(value = "社区名称", required = true)
    @NotBlank(message = "社区名称不能为空")
    private String communityName;

    /**
     * 社区类型
     */
    @ApiModelProperty(value = "社区类型", required = true)
    @NotNull(message = "社区类型不能为空")
    private Integer type;

    /**
     * 价格
     */
    @ApiModelProperty(value = "价格", required = true)
    @NotNull(message = "价格不能为空")
    private Double price;

    /**
     * 有效期类型
     */
    @ApiModelProperty(value = "有效期类型", required = true)
    @NotNull(message = "有效期类型不能为空")
    private Integer validityType;



}
