package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.Publish;
import com.mcwl.communityCenter.domain.Question;
import com.mcwl.communityCenter.domain.dto.QuestionPageRes;
import com.mcwl.communityCenter.domain.dto.QuestionReplyDto;
import com.mcwl.communityCenter.domain.dto.QuestionRes;
import com.mcwl.communityCenter.domain.vo.QuestionVo;

import javax.validation.constraints.NotNull;

public interface QuestionService extends IService<Question> {

    /**
     * 添加问题
     * @param questionRes 问题信息
     */
    void addQuestion(QuestionRes questionRes);


    TableDataInfo listUnReplied(QuestionPageRes questionPageRes);

    QuestionVo getDetail(@NotNull(message = "id不能为空") Long id);

    /**
     * 回复问题
     * @param questionReplyDto 回复信息
     */
    void reply(QuestionReplyDto questionReplyDto);
}
